<!DOCTYPE HTML>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Deep Zoom Composer</title>


<script type="text/javascript">
        function onSilverlightError(sender, args) {
        
            var appSource = "";
            if (sender != null && sender != 0) {
                appSource = sender.getHost().Source;
            } 
            var errorType = args.ErrorType;
            var iErrorCode = args.ErrorCode;
            
            var errMsg = "Unhandled Error in Silverlight 2 Application " +  appSource + "\n" ;

            errMsg += "Code: "+ iErrorCode + "    \n";
            errMsg += "Category: " + errorType + "       \n";
            errMsg += "Message: " + args.ErrorMessage + "     \n";

            if (errorType == "ParserError")
            {
                errMsg += "File: " + args.xamlFile + "     \n";
                errMsg += "Line: " + args.lineNumber + "     \n";
                errMsg += "Position: " + args.charPosition + "     \n";
            }
            else if (errorType == "RuntimeError")
            {           
                if (args.lineNumber != 0)
                {
                    errMsg += "Line: " + args.lineNumber + "     \n";
                    errMsg += "Position: " +  args.charPosition + "     \n";
                }
                errMsg += "MethodName: " + args.methodName + "     \n";
            }

            throw new Error(errMsg);
        }
    </script>
</head>

<body>

<div id="content"> 
  <h1>Deep Zoom Composer</h1>
  <p>	
The LiveLab of Microsoft offers to present images on  websites in another way  with a zoom function, using the <a href="http://msdn.microsoft.com/en-us/library/cc645050(VS.95).aspx" target="_parent">Deep Zoom</a> feature of <a href="http://www.scriptol.com/software/silverlight.php" target="_parent">Silverlight</a>.</p>


  <h2>Demonstration </h2>
  <p> Use the mouse wheel to enlarge or reduce the image, and move the mouse to shift the image.</p>
  <div id="errorLocation" style="font-size: small;color: Gray;"></div>
  <div id="silverlightControlHost">
    <object data="data:application/x-silverlight," type="application/x-silverlight-2" width="400" height="400">
      <param name="source" value="DeepZoomProject.xap"><param name="onerror" value="onSilverlightError"><param name="background" value="white"><a href="http://go.microsoft.com/fwlink/?LinkID=115261" style="text-decoration: none;"> <img src="http://go.microsoft.com/fwlink/?LinkId=108181" alt="Get Microsoft Silverlight" style="border-style: none"></a>
    </object>
    <iframe style="visibility:hidden;height:0;width:0;border:0px"></iframe>
  </div>

  <h2>Building a zoom</h2>
  <p>To allow to zoom a picture, download the free editor,  <a href="http://www.microsoft.com/downloads/details.aspx?familyid=457b17b7-52bf-4bda-87a3-fa8a4673f8bf&amp;displaylang=en" target="_parent">Deep Zoom Composer</a> and perform 4 steps:    </p>
  <ol><li>Create a project.      </li>
    <li>Import:
      Add an image of your choice.      </li>
    <li>Compose:
      Place the image in the composition space by dragging frome  the right panel. Enlarge the image. This space will be unchanged in your Web page.      </li>
    <li>Export:
      Generate the necessary files. </li>
  </ol><p>At the time of export, you are proposed to use the PhotoZoom Microsoft site which requires opening an account, or to export to Silverlight. The second choice seems preferable because it does not depend on an external site. Various options are proposed that are outlined in the  PDF manual  to download. </p>
  <h2>How to put your work online </h2>
  <p>Once  the  project exported, you have to retrieve the files to place them on your website. Go to this directory: </p>
  <pre>your-project-name/source images/OutputSdi/your-space-name/DeepZoomProjectWeb/ClientBin/</pre>
  <p>We must put online <em>DeepZoomProject.xap</em> files and the whole subdirectory <em>GeneratedImages</em>.</p>
  <p>The reader  and JavaScript code in <em>DeepZoomProjectTestPage.html</em> must be copied into your page.<br>
  The reader to integrate looks like this:</p>
  <pre>&lt;div id='errorLocation' style="font-size: small;color: Gray;"&gt;
&lt;/div&gt;
&lt;div id="silverlightControlHost"&gt;
  &lt;object data="data:application/x-silverlight," 
     type="application/x-silverlight-2" width="100%" height="100%"&gt;
  &lt;param name="source" value="DeepZoomProject.xap"/&gt;
  &lt;param name="onerror" value="onSilverlightError" /&gt;
  &lt;param name="background" value="white" /&gt;
  &lt;a href="http://go.microsoft.com/fwlink/?LinkID=115261"&gt;
  &lt;img src="http://go.microsoft.com/fwlink/?LinkId=108181"/&gt;
&lt;/a&gt;
&lt;/object&gt;<br>&lt;iframe style='visibility:hidden;height:0;width:0;border:0px'&gt;&lt;/iframe&gt;
&lt;/div&gt;</pre>
  <p> Copy the code into the page where you want to show the image. </p>

  <p><em>More</em></p>
  <ul>
  <li><a href="http://www.microsoft.com/downloads/details.aspx?familyid=457b17b7-52bf-4bda-87a3-fa8a4673f8bf&amp;displaylang=en" target="_parent">Deep Zoom Composer</a>.</li>
  </ul>
  
</div>
</body>
</html>